com.google.appengine.api.blobstore

## Class BlobInfo

- java.lang.Object
- - com.google.appengine.api.blobstore.BlobInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class BlobInfo
      extends java.lang.Object
      implements java.io.Serializable

  `BlobInfo` contains metadata about a blob. This metadata is gathered by parsing the HTTP headers included in the blob upload.
  See Also:
    RFC 1867 for the specification of HTTP file uploads., Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlobInfo(BlobKey blobKey, java.lang.String contentType, java.util.Date creation, java.lang.String filename, long size)`
    `BlobInfo(BlobKey blobKey, java.lang.String contentType, java.util.Date creation, java.lang.String filename, long size, java.lang.String md5Hash)`
    `BlobInfo(BlobKey blobKey, java.lang.String contentType, java.util.Date creation, java.lang.String filename, long size, java.lang.String md5Hash, java.lang.String gsObjectName)` Creates a `BlobInfo` by providing the `BlobKey` and all associated metadata.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `BlobKey` | `getBlobKey()` Returns the `BlobKey` of the Blob this `BlobInfo` describes.
    `java.lang.String` | `getContentType()` Returns the MIME Content-Type provided in the HTTP header during upload of this Blob.
    `java.util.Date` | `getCreation()` Returns the time and date the blob was upload.
    `java.lang.String` | `getFilename()` Returns the file included in the Content-Disposition HTTP header during upload of this Blob.
    `java.lang.String` | `getGsObjectName()` Returns the object name of this Blob, if it is stored in Google Cloud Storage, in the form `/[bucket-name]/[object-name]`.
    `java.lang.String` | `getMd5Hash()` Returns the md5Hash of this Blob.
    `long` | `getSize()` Returns the size in bytes of this Blob.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BlobInfo

          public BlobInfo(BlobKey blobKey,
                          java.lang.String contentType,
                          java.util.Date creation,
                          java.lang.String filename,
                          long size,
                          java.lang.String md5Hash,
                          java.lang.String gsObjectName)

      Creates a `BlobInfo` by providing the `BlobKey` and all associated metadata. This is typically done by the API on the developer's behalf.
      Parameters:
        `blobKey` - the `BlobKey` of the Blob.
        `contentType` - the MIME Content-Type provided in the HTTP header during upload of this Blob.
        `creation` - the time and date the blob was uploaded.
        `filename` - the file included in the Content-Disposition HTTP header during upload of this Blob.
        `size` - the size in bytes of this Blob.
        `md5Hash` - the md5Hash of this Blob.
        `gsObjectName` - the object name of this Blob, if it is stored on Google Cloud Storage, null otherwise.

    - #### BlobInfo

          public BlobInfo(BlobKey blobKey,
                          java.lang.String contentType,
                          java.util.Date creation,
                          java.lang.String filename,
                          long size,
                          java.lang.String md5Hash)

    - #### BlobInfo

          public BlobInfo(BlobKey blobKey,
                          java.lang.String contentType,
                          java.util.Date creation,
                          java.lang.String filename,
                          long size)

  - ### Method Detail

    - #### getBlobKey

          public BlobKey getBlobKey()

      Returns the `BlobKey` of the Blob this `BlobInfo` describes.

    - #### getContentType

          public java.lang.String getContentType()

      Returns the MIME Content-Type provided in the HTTP header during upload of this Blob.

    - #### getCreation

          public java.util.Date getCreation()

      Returns the time and date the blob was upload.

    - #### getFilename

          public java.lang.String getFilename()

      Returns the file included in the Content-Disposition HTTP header during upload of this Blob.

    - #### getSize

          public long getSize()

      Returns the size in bytes of this Blob.

    - #### getMd5Hash

          public java.lang.String getMd5Hash()

      Returns the md5Hash of this Blob.

    - #### getGsObjectName

          public java.lang.String getGsObjectName()

      Returns the object name of this Blob, if it is stored in Google Cloud Storage, in the form `/[bucket-name]/[object-name]`. Returns `null` if the Blob is stored in Blobstorage.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`